Merged revisions 49102 via svnmerge from
authorKevin P. Fleming <kpfleming@digium.com>
Mon, 1 Jan 2007 23:43:43 +0000 (23:43 +0000)
committerKevin P. Fleming <kpfleming@digium.com>
Mon, 1 Jan 2007 23:43:43 +0000 (23:43 +0000)
https://origsvn.digium.com/svn/asterisk/branches/1.4

........
r49102 | kpfleming | 2007-01-01 17:34:35 -0600 (Mon, 01 Jan 2007) | 2 lines

check specifically for VLDTMF and transcoding support in the system's Zaptel installation, and make only the modules that need those features dependent on them (this will allow building the other Zaptel-using parts of Asterisk against older versions of Zaptel or those on other platforms that haven't caught up yet to the Linux version)

........

git-svn-id: https://origsvn.digium.com/svn/asterisk/trunk@49103 65c4cc65-6c06-0410-ace0-fbb531ad65f3

build_tools/menuselect-deps.in
channels/chan_zap.c
codecs/codec_zap.c
configure
configure.ac
include/asterisk/autoconfig.h.in

index 17ac9a1..f0f343e 100644 (file)
@@ -28,8 +28,9 @@ TONEZONE=@PBX_TONEZONE@
 UNIXODBC=@PBX_UNIXODBC@
 VORBIS=@PBX_VORBIS@
 VPBAPI=@PBX_VPB@
-WIN32=@OSISWIN32@
 ZAPTEL=@PBX_ZAPTEL@
+ZAPTEL_VLDTMF=@PBX_ZAPTEL_VLDTMF@
+ZAPTEL_TRANSCODE=@PBX_ZAPTEL_TRANSCODE@
 ZLIB=@PBX_ZLIB@
 ISDNNET=@PBX_ISDNNET@
 MISDN=@PBX_MISDN@
index 5f267e2..bfe1746 100644 (file)
@@ -38,7 +38,7 @@
  */
 
 /*** MODULEINFO
-       <depend>zaptel</depend>
+       <depend>zaptel_vldtmf</depend>
        <depend>tonezone</depend>
        <use>pri</use>
        <use>ss7</use>
index f799896..72f90df 100644 (file)
@@ -27,7 +27,7 @@
  */
 
 /*** MODULEINFO
-       <depend>zaptel</depend>
+       <depend>zaptel_transcode</depend>
  ***/
 
 #include "asterisk.h"
index 98c3492..4c9ba55 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.ac Revision: 48563 .
+# From configure.ac Revision: 48961 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.61.
 #
@@ -850,6 +850,8 @@ OPENH323_LIBDIR
 OPENH323_SUFFIX
 OPENH323_BUILD
 QTMOC
+PBX_ZAPTEL_VLDTMF
+PBX_ZAPTEL_TRANSCODE
 EDITLINE_LIB
 PBX_H323
 PBX_IXJUSER
@@ -30040,11 +30042,10 @@ _ACEOF
 fi
 
 
-# check for zaptel 1.4.0
 
     if test "x${PBX_ZAPTEL}" != "x1" -a "${USE_ZAPTEL}" != "no"; then
-       { echo "$as_me:$LINENO: checking for ZT_TONE_DTMF_BASE in zaptel/zaptel.h" >&5
-echo $ECHO_N "checking for ZT_TONE_DTMF_BASE in zaptel/zaptel.h... $ECHO_C" >&6; }
+       { echo "$as_me:$LINENO: checking for ZT_DIAL_OP_CANCEL in zaptel/zaptel.h" >&5
+echo $ECHO_N "checking for ZT_DIAL_OP_CANCEL in zaptel/zaptel.h... $ECHO_C" >&6; }
        saved_cppflags="${CPPFLAGS}"
        if test "x${ZAPTEL_DIR}" != "x"; then
            ZAPTEL_INCLUDE= "-I${ZAPTEL_DIR}/include"
@@ -30061,7 +30062,7 @@ cat >>conftest.$ac_ext <<_ACEOF
 int
 main ()
 {
-int foo = ZT_TONE_DTMF_BASE;
+int foo = ZT_DIAL_OP_CANCEL;
   ;
   return 0;
 }
@@ -30093,7 +30094,7 @@ _ACEOF
 
 
 cat >>confdefs.h <<\_ACEOF
-#define HAVE_ZAPTEL_VERSION 140
+#define HAVE_ZAPTEL_VERSION
 _ACEOF
 
 
@@ -30110,121 +30111,30 @@ rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
        CPPFLAGS="${saved_cppflags}"
     fi
 
-# or, try old zaptel (0.80 or so)
 
-if test "x${PBX_ZAPTEL}" != "x1" -a "${USE_ZAPTEL}" != "no"; then
-   pbxlibdir=""
+if test "${PBX_ZAPTEL}" = 1; then
+   { echo "$as_me:$LINENO: checking for ZT_TONE_DTMF_BASE in zaptel/zaptel.h" >&5
+echo $ECHO_N "checking for ZT_TONE_DTMF_BASE in zaptel/zaptel.h... $ECHO_C" >&6; }
+   saved_cppflags="${CPPFLAGS}"
    if test "x${ZAPTEL_DIR}" != "x"; then
-      if test -d ${ZAPTEL_DIR}/lib; then
-        pbxlibdir="-L${ZAPTEL_DIR}/lib"
-      else
-        pbxlibdir="-L${ZAPTEL_DIR}"
-      fi
+      CPPFLAGS="${CPPFLAGS} -I${ZAPTEL_DIR}/include"
    fi
-   pbxfuncname=""
-   if test "x${pbxfuncname}" = "x" ; then   # empty lib, assume only headers
-      AST_ZAPTEL_FOUND=yes
-   else
-      as_ac_Lib=`echo "ac_cv_lib_zaptel_${pbxfuncname}" | $as_tr_sh`
-{ echo "$as_me:$LINENO: checking for ${pbxfuncname} in -lzaptel" >&5
-echo $ECHO_N "checking for ${pbxfuncname} in -lzaptel... $ECHO_C" >&6; }
-if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lzaptel ${pbxlibdir}  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
+   cat >conftest.$ac_ext <<_ACEOF
+
+       /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-
-/* Override any GCC internal prototype to avoid an error.
-   Use char because int might match the return type of a GCC
-   builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-char ${pbxfuncname} ();
+#include <zaptel/zaptel.h>
 int
 main ()
 {
-return ${pbxfuncname} ();
+int foo = ZT_TONE_DTMF_BASE;
   ;
   return 0;
 }
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest$ac_exeext &&
-       $as_test_x conftest$ac_exeext; then
-  eval "$as_ac_Lib=yes"
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
 
-       eval "$as_ac_Lib=no"
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-ac_res=`eval echo '${'$as_ac_Lib'}'`
-              { echo "$as_me:$LINENO: result: $ac_res" >&5
-echo "${ECHO_T}$ac_res" >&6; }
-if test `eval echo '${'$as_ac_Lib'}'` = yes; then
-  AST_ZAPTEL_FOUND=yes
-else
-  AST_ZAPTEL_FOUND=no
-fi
-
-   fi
-
-   if test "${AST_ZAPTEL_FOUND}" = "yes"; then
-      ZAPTEL_LIB="-lzaptel "
-      ZAPTEL_HEADER_FOUND="1"
-      if test "x${ZAPTEL_DIR}" != "x"; then
-         ZAPTEL_LIB="${pbxlibdir} ${ZAPTEL_LIB}"
-        ZAPTEL_INCLUDE="-I${ZAPTEL_DIR}/include"
-        if test "xzaptel.h" != "x" ; then
-           as_ac_Header=`echo "ac_cv_header_${ZAPTEL_DIR}/include/zaptel.h" | $as_tr_sh`
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  { echo "$as_me:$LINENO: checking for ${ZAPTEL_DIR}/include/zaptel.h" >&5
-echo $ECHO_N "checking for ${ZAPTEL_DIR}/include/zaptel.h... $ECHO_C" >&6; }
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-ac_res=`eval echo '${'$as_ac_Header'}'`
-              { echo "$as_me:$LINENO: result: $ac_res" >&5
-echo "${ECHO_T}$ac_res" >&6; }
-else
-  # Is the header compilable?
-{ echo "$as_me:$LINENO: checking ${ZAPTEL_DIR}/include/zaptel.h usability" >&5
-echo $ECHO_N "checking ${ZAPTEL_DIR}/include/zaptel.h usability... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-#include <${ZAPTEL_DIR}/include/zaptel.h>
 _ACEOF
 rm -f conftest.$ac_objext
 if { (ac_try="$ac_compile"
@@ -30243,282 +30153,44 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test -z "$ac_c_werror_flag" ||
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
-  ac_header_compiler=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-       ac_header_compiler=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6; }
+       { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+               ac_cv_zaptel_vldtmf="yes"
 
-# Is the header present?
-{ echo "$as_me:$LINENO: checking ${ZAPTEL_DIR}/include/zaptel.h presence" >&5
-echo $ECHO_N "checking ${ZAPTEL_DIR}/include/zaptel.h presence... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <${ZAPTEL_DIR}/include/zaptel.h>
-_ACEOF
-if { (ac_try="$ac_cpp conftest.$ac_ext"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null && {
-        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       }; then
-  ac_header_preproc=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-  ac_header_preproc=no
-fi
-
-rm -f conftest.err conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6; }
-
-# So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
-  yes:no: )
-    { echo "$as_me:$LINENO: WARNING: ${ZAPTEL_DIR}/include/zaptel.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: ${ZAPTEL_DIR}/include/zaptel.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: ${ZAPTEL_DIR}/include/zaptel.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: ${ZAPTEL_DIR}/include/zaptel.h: proceeding with the compiler's result" >&2;}
-    ac_header_preproc=yes
-    ;;
-  no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: ${ZAPTEL_DIR}/include/zaptel.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: ${ZAPTEL_DIR}/include/zaptel.h: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: ${ZAPTEL_DIR}/include/zaptel.h:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: ${ZAPTEL_DIR}/include/zaptel.h:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: ${ZAPTEL_DIR}/include/zaptel.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: ${ZAPTEL_DIR}/include/zaptel.h: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: ${ZAPTEL_DIR}/include/zaptel.h:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: ${ZAPTEL_DIR}/include/zaptel.h:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: ${ZAPTEL_DIR}/include/zaptel.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: ${ZAPTEL_DIR}/include/zaptel.h: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: ${ZAPTEL_DIR}/include/zaptel.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: ${ZAPTEL_DIR}/include/zaptel.h: in the future, the compiler will take precedence" >&2;}
-
-    ;;
-esac
-{ echo "$as_me:$LINENO: checking for ${ZAPTEL_DIR}/include/zaptel.h" >&5
-echo $ECHO_N "checking for ${ZAPTEL_DIR}/include/zaptel.h... $ECHO_C" >&6; }
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  eval "$as_ac_Header=\$ac_header_preproc"
-fi
-ac_res=`eval echo '${'$as_ac_Header'}'`
-              { echo "$as_me:$LINENO: result: $ac_res" >&5
-echo "${ECHO_T}$ac_res" >&6; }
-
-fi
-if test `eval echo '${'$as_ac_Header'}'` = yes; then
-  ZAPTEL_HEADER_FOUND=1
-else
-  ZAPTEL_HEADER_FOUND=0
-fi
+               { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+               ac_cv_zaptel_vldtmf="no"
 
 
-        fi
-      else
-        if test "xzaptel.h" != "x" ; then
-            if test "${ac_cv_header_zaptel_h+set}" = set; then
-  { echo "$as_me:$LINENO: checking for zaptel.h" >&5
-echo $ECHO_N "checking for zaptel.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_zaptel_h+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_zaptel_h" >&5
-echo "${ECHO_T}$ac_cv_header_zaptel_h" >&6; }
-else
-  # Is the header compilable?
-{ echo "$as_me:$LINENO: checking zaptel.h usability" >&5
-echo $ECHO_N "checking zaptel.h usability... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-#include <zaptel.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (ac_try="$ac_compile"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_compile") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest.$ac_objext; then
-  ac_header_compiler=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-       ac_header_compiler=no
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6; }
-
-# Is the header present?
-{ echo "$as_me:$LINENO: checking zaptel.h presence" >&5
-echo $ECHO_N "checking zaptel.h presence... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <zaptel.h>
-_ACEOF
-if { (ac_try="$ac_cpp conftest.$ac_ext"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null && {
-        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       }; then
-  ac_header_preproc=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-  ac_header_preproc=no
-fi
-
-rm -f conftest.err conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6; }
-
-# So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
-  yes:no: )
-    { echo "$as_me:$LINENO: WARNING: zaptel.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: zaptel.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: zaptel.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: zaptel.h: proceeding with the compiler's result" >&2;}
-    ac_header_preproc=yes
-    ;;
-  no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: zaptel.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: zaptel.h: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: zaptel.h:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: zaptel.h:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: zaptel.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: zaptel.h: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: zaptel.h:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: zaptel.h:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: zaptel.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: zaptel.h: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: zaptel.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: zaptel.h: in the future, the compiler will take precedence" >&2;}
-
-    ;;
-esac
-{ echo "$as_me:$LINENO: checking for zaptel.h" >&5
-echo $ECHO_N "checking for zaptel.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_zaptel_h+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_cv_header_zaptel_h=$ac_header_preproc
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_zaptel_h" >&5
-echo "${ECHO_T}$ac_cv_header_zaptel_h" >&6; }
-
-fi
-if test $ac_cv_header_zaptel_h = yes; then
-  ZAPTEL_HEADER_FOUND=1
-else
-  ZAPTEL_HEADER_FOUND=0
-fi
-
-
-        fi
-      fi
-      if test "x${ZAPTEL_HEADER_FOUND}" = "x0" ; then
-         ZAPTEL_LIB=""
-         ZAPTEL_INCLUDE=""
-      else
-         if test "x${pbxfuncname}" = "x" ; then                # only checking headers -> no library
-           ZAPTEL_LIB=""
-        fi
-         PBX_ZAPTEL=1
-         # XXX don't know how to evaluate the description (third argument) in AC_DEFINE_UNQUOTED
-
-cat >>confdefs.h <<_ACEOF
-#define HAVE_ZAPTEL 1
-_ACEOF
-
-
-cat >>confdefs.h <<_ACEOF
-#define HAVE_ZAPTEL_VERSION 80
-_ACEOF
-
-      fi
+   CPPFLAGS="${saved_cppflags}"
+   if test "${ac_cv_zaptel_vldtmf}" = "yes"; then
+       PBX_ZAPTEL_VLDTMF=1
    fi
-fi
-
-
-if test "${USE_ZAPTEL}" != "no"; then
-   if test "${PBX_ZAPTEL}" != "1"; then
-      { echo "$as_me:$LINENO: checking for ZT_DIAL_OP_CANCEL in zaptel.h" >&5
-echo $ECHO_N "checking for ZT_DIAL_OP_CANCEL in zaptel.h... $ECHO_C" >&6; }
-      saved_cppflags="${CPPFLAGS}"
-      if test "x${ZAPTEL_DIR}" != "x"; then
-        CPPFLAGS="${CPPFLAGS} -I${ZAPTEL_DIR}/include"
-      fi
-      cat >conftest.$ac_ext <<_ACEOF
+   { echo "$as_me:$LINENO: checking for ZT_TCOP_TRANSCODE in zaptel/zaptel.h" >&5
+echo $ECHO_N "checking for ZT_TCOP_TRANSCODE in zaptel/zaptel.h... $ECHO_C" >&6; }
+   saved_cppflags="${CPPFLAGS}"
+   if test "x${ZAPTEL_DIR}" != "x"; then
+      CPPFLAGS="${CPPFLAGS} -I${ZAPTEL_DIR}/include"
+   fi
+   cat >conftest.$ac_ext <<_ACEOF
 
        /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <zaptel.h>
+#include <zaptel/zaptel.h>
 int
 main ()
 {
-int foo = ZT_DIAL_OP_CANCEL;
+int foo = ZT_TCOP_TRANSCODE;
   ;
   return 0;
 }
@@ -30543,7 +30215,7 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
        } && test -s conftest.$ac_objext; then
        { echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6; }
-               ac_cv_zaptel_h="yes"
+               ac_cv_zaptel_transcode="yes"
 
 else
   echo "$as_me: failed program was:" >&5
@@ -30551,29 +30223,20 @@ sed 's/^/| /' conftest.$ac_ext >&5
 
                { echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6; }
-               ac_cv_zaptel_h="no"
+               ac_cv_zaptel_transcode="no"
 
 
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-      CPPFLAGS="${saved_cppflags}"
-      if test "${ac_cv_zaptel_h}" = "yes"; then
-         { echo "$as_me:$LINENO: ***" >&5
-echo "$as_me: ***" >&6;}
-        { echo "$as_me:$LINENO: *** The Zaptel installation on this system is too old" >&5
-echo "$as_me: *** The Zaptel installation on this system is too old" >&6;}
-        { echo "$as_me:$LINENO: *** to be useable with this version of Asterisk." >&5
-echo "$as_me: *** to be useable with this version of Asterisk." >&6;}
-        { echo "$as_me:$LINENO: *** Either upgrade your Zaptel installation, or run configure" >&5
-echo "$as_me: *** Either upgrade your Zaptel installation, or run configure" >&6;}
-        { echo "$as_me:$LINENO: *** including --without-zaptel." >&5
-echo "$as_me: *** including --without-zaptel." >&6;}
-        exit 1
-      fi
+   CPPFLAGS="${saved_cppflags}"
+   if test "${ac_cv_zaptel_transcode}" = "yes"; then
+       PBX_ZAPTEL_TRANSCODE=1
    fi
 fi
 
+
+
 EDITLINE_LIB=""
 if test "x$TERMCAP_LIB" != "x" ; then
   EDITLINE_LIB="$TERMCAP_LIB"
@@ -31971,6 +31634,8 @@ OPENH323_LIBDIR!$OPENH323_LIBDIR$ac_delim
 OPENH323_SUFFIX!$OPENH323_SUFFIX$ac_delim
 OPENH323_BUILD!$OPENH323_BUILD$ac_delim
 QTMOC!$QTMOC$ac_delim
+PBX_ZAPTEL_VLDTMF!$PBX_ZAPTEL_VLDTMF$ac_delim
+PBX_ZAPTEL_TRANSCODE!$PBX_ZAPTEL_TRANSCODE$ac_delim
 EDITLINE_LIB!$EDITLINE_LIB$ac_delim
 PBX_H323!$PBX_H323$ac_delim
 PBX_IXJUSER!$PBX_IXJUSER$ac_delim
@@ -31982,7 +31647,7 @@ CURL!$CURL$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 46; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 48; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
index ee7a6e4..59ac224 100644 (file)
@@ -853,42 +853,56 @@ AC_LANG_POP
 
 AST_EXT_LIB_CHECK([ZLIB], [z], [compress], [zlib.h])
 
-# check for zaptel 1.4.0
-AST_C_DEFINE_CHECK([ZAPTEL], [ZT_TONE_DTMF_BASE], [zaptel/zaptel.h], [140])
-# or, try old zaptel (0.80 or so)
-AST_EXT_LIB_CHECK([ZAPTEL], [zaptel],, [zaptel.h],, [80])
-
-if test "${USE_ZAPTEL}" != "no"; then
-   if test "${PBX_ZAPTEL}" != "1"; then
-      AC_MSG_CHECKING(for ZT_DIAL_OP_CANCEL in zaptel.h)
-      saved_cppflags="${CPPFLAGS}"
-      if test "x${ZAPTEL_DIR}" != "x"; then
-        CPPFLAGS="${CPPFLAGS} -I${ZAPTEL_DIR}/include"
-      fi
-      AC_COMPILE_IFELSE(
+AST_C_DEFINE_CHECK([ZAPTEL], [ZT_DIAL_OP_CANCEL], [zaptel/zaptel.h])
+
+if test "${PBX_ZAPTEL}" = 1; then
+   AC_MSG_CHECKING(for ZT_TONE_DTMF_BASE in zaptel/zaptel.h)
+   saved_cppflags="${CPPFLAGS}"
+   if test "x${ZAPTEL_DIR}" != "x"; then
+      CPPFLAGS="${CPPFLAGS} -I${ZAPTEL_DIR}/include"
+   fi
+   AC_COMPILE_IFELSE(
        [
        AC_LANG_PROGRAM(
-       [#include <zaptel.h>],
-       [int foo = ZT_DIAL_OP_CANCEL;])
+       [#include <zaptel/zaptel.h>],
+       [int foo = ZT_TONE_DTMF_BASE;])
        ],
        [       AC_MSG_RESULT(yes) 
-               ac_cv_zaptel_h="yes" 
+               ac_cv_zaptel_vldtmf="yes" 
        ],
        [       AC_MSG_RESULT(no) 
-               ac_cv_zaptel_h="no" 
+               ac_cv_zaptel_vldtmf="no" 
        ]
        )
-      CPPFLAGS="${saved_cppflags}"
-      if test "${ac_cv_zaptel_h}" = "yes"; then
-         AC_MSG_NOTICE([***])
-        AC_MSG_NOTICE([*** The Zaptel installation on this system is too old])
-        AC_MSG_NOTICE([*** to be useable with this version of Asterisk.])
-        AC_MSG_NOTICE([*** Either upgrade your Zaptel installation, or run configure])
-        AC_MSG_NOTICE([*** including --without-zaptel.])
-        exit 1
-      fi
+   CPPFLAGS="${saved_cppflags}"
+   if test "${ac_cv_zaptel_vldtmf}" = "yes"; then
+       PBX_ZAPTEL_VLDTMF=1
+   fi
+   AC_MSG_CHECKING(for ZT_TCOP_TRANSCODE in zaptel/zaptel.h)
+   saved_cppflags="${CPPFLAGS}"
+   if test "x${ZAPTEL_DIR}" != "x"; then
+      CPPFLAGS="${CPPFLAGS} -I${ZAPTEL_DIR}/include"
+   fi
+   AC_COMPILE_IFELSE(
+       [
+       AC_LANG_PROGRAM(
+       [#include <zaptel/zaptel.h>],
+       [int foo = ZT_TCOP_TRANSCODE;])
+       ],
+       [       AC_MSG_RESULT(yes) 
+               ac_cv_zaptel_transcode="yes" 
+       ],
+       [       AC_MSG_RESULT(no) 
+               ac_cv_zaptel_transcode="no" 
+       ]
+       )
+   CPPFLAGS="${saved_cppflags}"
+   if test "${ac_cv_zaptel_transcode}" = "yes"; then
+       PBX_ZAPTEL_TRANSCODE=1
    fi
 fi
+AC_SUBST(PBX_ZAPTEL_VLDTMF)
+AC_SUBST(PBX_ZAPTEL_TRANSCODE)
 
 EDITLINE_LIB=""
 if test "x$TERMCAP_LIB" != "x" ; then
index c120d51..0a27356 100644 (file)
 /* Define to 1 if `vfork' works. */
 #undef HAVE_WORKING_VFORK
 
-/* Define this to indicate the ${ZAPTEL_DESCRIP} library */
+/* Define if your system has the ZAPTEL headers. */
 #undef HAVE_ZAPTEL
 
-/* Define to indicate the ${ZAPTEL_DESCRIP} library version */
+/* Define ZAPTEL headers version */
 #undef HAVE_ZAPTEL_VERSION
 
 /* Define this to indicate the ${ZLIB_DESCRIP} library */